Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 240126 - app-text/bact: CFLAGS are ignored
Summary: app-text/bact: CFLAGS are ignored
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-05 20:43 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-05-13 03:45 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Make app-text/bact respect user set CXXFLAGS and LDFLAGS, this also fixes bug #243718 (bact_respect_flags.patch,654 bytes, text/plain)
2009-05-04 22:37 UTC, Espen Hustad
Details
die on emake failure (bact_respect_flags.patch,676 bytes, patch)
2009-05-04 23:16 UTC, Espen Hustad
Details | Diff
Respect user set CXXFLAGS and LDFLAGS, die on dobin, dodoc and dohtml failure, and add RDEPEND. This also fixes bug #243718 (bact_respect_flags.patch,1.00 KB, patch)
2009-05-05 13:26 UTC, Espen Hustad
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-10-05 20:43:53 UTC
I don't know the build system for this program (and this is a generic bug template so I cannot tell you which program exactly is), but my tests shows that it's not respecting CFLAGS properly.

Please look into it, since it's important to respect user CFLAGS.

Thanks,
Diego
Comment 1 Espen Hustad 2009-05-04 22:37:19 UTC
Created attachment 190364 [details]
Make app-text/bact respect user set CXXFLAGS and LDFLAGS, this also fixes bug #243718
Comment 2 Espen Hustad 2009-05-04 23:16:27 UTC
Created attachment 190368 [details, diff]
die on emake failure
Comment 3 Espen Hustad 2009-05-05 13:26:10 UTC
Created attachment 190412 [details, diff]
Respect user set CXXFLAGS and LDFLAGS, die on dobin, dodoc and dohtml failure, and add RDEPEND. This also fixes bug #243718
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-13 03:45:52 UTC
thx Espen, fixed.